<p align="center">
    <a href="https://andergoig.github.io/SwiftInstagram">
        <img src="https://rawgit.com/AnderGoig/SwiftInstagram/master/.assets/SwiftInstagram-Logo.png" alt="SwiftInstagram Logo" width="800" height="248">
    </a>
</p>

<p align="center">
    <a href="https://cocoapods.org/pods/SwiftInstagram">
        <img src="https://img.shields.io/cocoapods/p/SwiftInstagram.svg"
             alt="Platforms">
    </a>
    <a href="https://developer.apple.com/swift">
        <img src="https://img.shields.io/badge/Swift-4.0-orange.svg?style=flat"
             alt="Swift 4.0">
    </a>
    <a href="https://travis-ci.org/AnderGoig/SwiftInstagram/branches">
        <img src="https://img.shields.io/travis/AnderGoig/SwiftInstagram/master.svg"
             alt="Travis">
    </a>
    <a href="https://codebeat.co/projects/github-com-andergoig-swiftinstagram-master">
        <img src="https://codebeat.co/badges/e5274943-8feb-4e51-a937-43552205f62e"
             alt="Codebeat">
    </a>
    <a href="https://andergoig.github.io/SwiftInstagram">
        <img src="https://rawgit.com/AnderGoig/SwiftInstagram/master/docs/badge.svg"
             alt="Documentation">
    </a>
    <a href="https://raw.githubusercontent.com/AnderGoig/SwiftInstagram/master/LICENSE">
        <img src="https://img.shields.io/cocoapods/l/SwiftInstagram.svg"
             alt="License">
    </a>
</p>

<p align="center">
    <a href="https://cocoapods.org/pods/SwiftInstagram">
        <img src="https://img.shields.io/cocoapods/v/SwiftInstagram.svg"
             alt="CocoaPods compatible">
    </a>
    <a href="https://github.com/Carthage/Carthage">
        <img src="https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat"
             alt="Carthage compatible">
    </a>
    <a href="https://github.com/apple/swift-package-manager">
        <img src="https://img.shields.io/badge/Swift%20Package%20Manager-compatible-brightgreen.svg"
             alt="Swift Package Manager">
    </a>
</p>

---

**SwiftInstagram** is a **wrapper** for the **Instagram API** written in **Swift**. It allows you to authenticate users and request data from Instagram effortlessly.

## Features

- [x] Effortless and straightforward use.
- [x] Up-to-date with the latest [Instagram API](https://www.instagram.com/developer/) features.
- [x] Secure access token storing, thanks to [keychain-swift](https://github.com/evgenyneu/keychain-swift).
- [x] Client-Side authentication.
- [x] 100% documented code.
- [x] Use of Swift 4 Decodable.
- [x] Up-to-date with the latest Apple technologies (Swift 4, Xcode 9, etc).

### [Upcoming features](https://github.com/AnderGoig/SwiftInstagram/projects/1)

## Requirements

- iOS 9.0+
- Xcode 9.0+

## Usage

I've prepared a [wiki page](https://github.com/AnderGoig/SwiftInstagram/wiki) where you can find tons of useful things.

* [Installation Guide](https://github.com/AnderGoig/SwiftInstagram/wiki/Installation-Guide) - Follow it to integrate SwiftInstagram into your project.
* [Authentication](https://github.com/AnderGoig/SwiftInstagram/wiki/Authentication) - To learn how to authenticate your Instagram users.
* [Data Retrieval](https://github.com/AnderGoig/SwiftInstagram/wiki/Data-Retrieval) - To start requesting some data from Instagram.
* [API Reference](https://andergoig.github.io/SwiftInstagram/Classes/Instagram.html) - For a more detailed code reference.

## Contributing

If you have feature requests or bug reports, feel free to help out by sending pull requests or by [creating new issues](https://github.com/AnderGoig/SwiftInstagram/issues/new). Please take a moment to
review the [CONTRIBUTING](.github/CONTRIBUTING.md) guidelines.

## Credits

SwiftInstagram is brought to you by [Ander Goig](https://github.com/AnderGoig) and [contributors to the project](https://github.com/AnderGoig/SwiftInstagram/contributors). If you're using SwiftInstagram in your project, attribution would be very appreciated.

#### Companion libraries

SwiftInstagram uses [keychain-swift](https://github.com/evgenyneu/keychain-swift) by [@evgenyneu](https://github.com/evgenyneu) to safely store the access token retrieved by the authentication process.

## License

SwiftInstagram is released under the MIT license. See [LICENSE](LICENSE) for details.

## Author

Ander Goig, [goig.ander@gmail.com](mailto:goig.ander@gmail.com)

[https://github.com/AnderGoig/SwiftInstagram](https://github.com/AnderGoig/SwiftInstagram)
